MsWks4TextInternal::FontName Class Reference

Internal: class to store a font name: name with sysid. More...

## Public Member Functions
| FontName ()
| constructor

## Public Attributes
std::string | m_name
| the font name
int | m_id
| the font id
int | m_unknown
| unknown

## Friends
std::ostream & | operator<< (std::ostream &o, FontName const &ft)
| operator<<

## Detailed Description

Internal: class to store a font name: name with sysid.

## Constructor & Destructor Documentation

## ◆ FontName()

MsWks4TextInternal::FontName::FontName | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FontName const & | ft )
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int MsWks4TextInternal::FontName::m_id

the font id

Referenced by FontName(), operator<<, and MsWks4Text::readFontNames().

## ◆ m_name

std::string MsWks4TextInternal::FontName::m_name

the font name

Referenced by FontName(), operator<<, and MsWks4Text::readFontNames().

## ◆ m_unknown

int MsWks4TextInternal::FontName::m_unknown

unknown

Referenced by FontName(), operator<<, and MsWks4Text::readFontNames().

The documentation for this class was generated from the following file:

- MsWks4Text.cxx